Create a Widget

Overview

Create a new widget.

Authentication

Available for App Tokens only. The app must have app_type='widgets' to create widgets. Apps with other types will receive 403: 'This app's type does not support widgets'.

How to Get an App Token

  1. Use GET /platform/v1/apps (with directory token) to find apps with app_type='widgets'
  2. If none exist, create one with POST /platform/v1/apps including app_type: 'widgets'
  3. Use the app's client_id and client_secret to authenticate, or use GET /platform/v1/tokens to list app tokens
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
display_name
object
required
dimensions
object
required

The widget dimensions including min\max\preferred height and width.

permissions
array of strings

The permissions required for the widget to show up for a staff member

permissions
string

The module (FF) required for the widget to show up for a staff member

component_data
object
required

Component data for the widget, specifying the component name and configuration.

Responses

401

Unauthorized. The bearer token is missing or invalid.

403

Forbidden. You do not have access to this resource.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json